X11.XKeyboardControlRef (JNA API)
Description: declaration: package: com.sun.jna.platform.unix, interface: X11, class: XKeyboardControlRef

Package com.sun.jna.platform.unix

# Class X11.XKeyboardControlRef

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.X11.XKeyboardControlRef

All Implemented Interfaces:
  `Structure.ByReference`

Enclosing interface:
  X11

@FieldOrder({"key_click_percent","bell_percent","bell_pitch","bell_duration","led","led_mode","key","auto_repeat_mode"}) public static class X11.XKeyboardControlRef extends Structure implements Structure.ByReference

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `auto_repeat_mode`
  AutoRepeatModeOff, AutoRepeatModeOn, AutoRepeatModeDefault.
  `int`
  `bell_duration`
  Duration of the bell specified in milliseconds, if possible.
  `int`
  `bell_percent`
  Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.
  `int`
  `bell_pitch`
  Pitch (specified in Hz) of the bell, if possible.
  `int`
  `key`
  `auto_repeat_mode` can change the auto repeat settings of this key.
  `int`
  `key_click_percent`
  Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.
  `int`
  `led`
  State of the LEDs.
  `int`
  `led_mode`
  LED mode: LedModeOn or LedModeOff.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XKeyboardControlRef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### key_click_percent

    public int key_click_percent
    Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible. A setting of -1 restores the default.

  - ### bell_percent

    public int bell_percent
    Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible. A setting of -1 restores the default.

  - ### bell_pitch

    public int bell_pitch
    Pitch (specified in Hz) of the bell, if possible. A setting of -1 restores the default.

  - ### bell_duration

    public int bell_duration
    Duration of the bell specified in milliseconds, if possible. A setting of -1 restores the default.

  - ### led

    public int led
    State of the LEDs. At most 32 LEDs numbered from one are supported.

  - ### led_mode

    public int led_mode
    LED mode: LedModeOn or LedModeOff.

  - ### key

    public int key
    `auto_repeat_mode` can change the auto repeat settings of this key.

  - ### auto_repeat_mode

    public int auto_repeat_mode
    AutoRepeatModeOff, AutoRepeatModeOn, AutoRepeatModeDefault.

- ## Constructor Details

  - ### XKeyboardControlRef

    public XKeyboardControlRef()

- ## Method Details

  - ### toString

    public String toString()
    Description copied from class: `Structure`
    If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.
    Overrides:
      `toString` in class `Structure`
    Returns:
      String representation of this object.